Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibatis.jpetstore.domain
Class Product

    java.lang.Object
      com.ibatis.jpetstore.domain.Product

All Implemented Interfaces:
  Serializable

public class Product
extends Object
implements Serializable

See Also:
  Serialized Form

Field Summary
`private String` | `categoryId`
`private String` | `description`
`private String` | `imagePath`
`private String` | `name`
`private String` | `productId`

Constructor Summary
`Product()`

Method Summary
`String` | `getCategoryId()`
`String` | `getDescription()`
`String` | `getImagePath()`
`String` | `getName()`
`String` | `getProductId()`
`void` | `setCategoryId(String categoryId)`
`void` | `setDescription(String description)`
`void` | `setImagePath(String imagePath)`
`void` | `setName(String name)`
`void` | `setProductId(String productId)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### productId

    private String productId

### categoryId

    private String categoryId

### name

    private String name

### imagePath

    private String imagePath

### description

    private String description

Constructor Detail

### Product

    public Product()

Method Detail

### getProductId

    public String getProductId()

### setProductId

    public void setProductId(String productId)

### getCategoryId

    public String getCategoryId()

### setCategoryId

    public void setCategoryId(String categoryId)

### getName

    public String getName()

### setName

    public void setName(String name)

### getImagePath

    public String getImagePath()

### setImagePath

    public void setImagePath(String imagePath)

### getDescription

    public String getDescription()

### setDescription

    public void setDescription(String description)

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.